# maplibre::util::math - Rust
API documentation for the Rust `math` mod in crate `maplibre`.

# Module maplibre::util::math

source ·

## Structs

- Aabb2
  A two-dimensional AABB, aka a rectangle.
- Aabb3
  A three-dimensional AABB, aka a rectangular prism.
- FloatOrd
  A wrapper type that enables ordering floats. This is a work around for the famous “rust float ordering” problem. By using it, you acknowledge that sorting NaN is undefined according to spec. This implementation treats NaN as the “smallest” float.
- Plane
  A 3-dimensional plane formed from the equation: `A*x + B*y + C*z - D = 0`.

## Functions

- bounds_from_points
- div_away
- div_ceil
- div_floor
- max 🔒
- min 🔒